tt_pattern_register(library call)

NAME
tt_pattern_register — register a pattern with the ToolTalk service

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_register(
Tt_pattern p);

DESCRIPTION

The tt_pattern_register function registers a pattern with the ToolTalk service.

When the process is registered, it will start receiving messages that match the specified pattern. Once a pattern is registered, no further changes can be made in the pattern.

When the process joins a session or file, the ToolTalk service updates the file and session field of its registered patterns.

The p argument is a unique handle for a message pattern. This handle is returned after tt_pattern_create(3) is called.

RETURN VALUE

Upon successful completion, the tt_pattern_register function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_ERR_PROCID
    The specified process identifier is out of date or invalid.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_unregister(3), tt_pattern_create(3).